## org.omg.CORBA
Class UNKNOWNHelper

    java.lang.Object
      |
      +--org.omg.CORBA.UNKNOWNHelper

public class UNKNOWNHelper
extends java.lang.Object

Helper class for : UNKNOWN

Author:
  OpenORB Compiler

Constructor Summary
`UNKNOWNHelper()`

Method Summary
`static UNKNOWN` `extract(Any a)` Extract UNKNOWN from an any
`static java.lang.String` `id()` Return the UNKNOWN IDL ID
`static void` `insert(Any a, UNKNOWN t)` Insert UNKNOWN into an any
`static UNKNOWN` `read(InputStream istream)` Read UNKNOWN from a marshalled stream
`static TypeCode` `type()` Return the UNKNOWN TypeCode
`static void` `write(OutputStream ostream, UNKNOWN value)` Write UNKNOWN into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UNKNOWNHelper

    public UNKNOWNHelper()

Method Detail

### insert

    public static void insert(Any a,
                              UNKNOWN t)

  Insert UNKNOWN into an any
  Parameters:
    `a` - an any
    `t` - UNKNOWN value

### extract

    public static UNKNOWN extract(Any a)

  Extract UNKNOWN from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted UNKNOWN value

### type

    public static TypeCode type()

  Return the UNKNOWN TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the UNKNOWN IDL ID
  Returns:
    an ID

### read

    public static UNKNOWN read(InputStream istream)

  Read UNKNOWN from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed UNKNOWN value

### write

    public static void write(OutputStream ostream,
                             UNKNOWN value)

  Write UNKNOWN into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - UNKNOWN value